Package fr.gouv.vitam.functionaltest.cucumber.step

# Class ArchiveUnitProfileStep

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.step.CommonStep
fr.gouv.vitam.functionaltest.cucumber.step.ArchiveUnitProfileStep

public class ArchiveUnitProfileStep extends CommonStep
Profile Step

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `CommonStep.MyRunnable`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `world`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArchiveUnitProfileStep(World world)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `an_archive_profile_named(String fileName)`
  ★★★ define a sip ★★★
  `void`
  `contract_found_are()`
  `void`
  `create_profile()`
  `void`
  `metadata_are(io.cucumber.datatable.DataTable dataTable)`
  `void`
  `search_profiles(String name)`

  ### Methods inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `checkOperationStatus, runInVitamThread`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ArchiveUnitProfileStep

    public ArchiveUnitProfileStep(World world)

- ## Method Details

  - ### an_archive_profile_named

    @Given("^un document type nomm\u00e9 (.*)$") public void an_archive_profile_named(String fileName)
    ★★★ define a sip ★★★
    Parameters:
      `fileName` - name of a sip

  - ### create_profile

    @When("je fais un import du document type") public void create_profile() throws InvalidParseOperationException, IOException, AccessExternalClientException
    Throws:
      `InvalidParseOperationException`
      `IOException`
      `AccessExternalClientException`

  - ### search_profiles

    @When("^je cherche un document type nomm\u00e9 (.*)") public void search_profiles(String name) throws AccessExternalClientException, InvalidParseOperationException, InvalidCreateOperationException, VitamClientException
    Throws:
      `AccessExternalClientException`
      `InvalidParseOperationException`
      `InvalidCreateOperationException`
      `VitamClientException`

  - ### contract_found_are

    @Then("^le document type existe$") public void contract_found_are()

  - ### metadata_are

    @Then("^les m\u00e9tadonn\u00e9es du document type sont$") public void metadata_are(io.cucumber.datatable.DataTable dataTable) throws Throwable
    Throws:
      `Throwable`